========================================================================================================================
tricks.f vers. 1, trx_control.d: (c) R T Garrod, 2021-
========================================================================================================================

------------------------------------------------------------------------------------------------------------------------
SWITCHES
---------+--------------+-----------------------------------------------------------------------------------------------
IDUST    |            2 | no adsorption (0); allow adsorption (1); adsorption and H reactions (2)
ISELF    |            1 | self-shielding from tables (1): use CDs below; PD rates of H2 & CO in ratefile are replaced
ITASK    |            1 | integrator method for reaching o/p time: exact (3); interp (1)
---------+--------------+-----------------------------------------------------------------------------------------------
GAS PHASE PARAMETERS
---------+--------------+-----------------------------------------------------------------------------------------------
DENS     |    2.000D+04 | initial gas density (total H per cm+3)
TEMP     |    1.000D+01 | initial gas temp (K)
AV       |     1.00D+01 | initial visual extinction (mag)
CDH2     |     8.00D+21 | initial H2 column density (cm-2)
CDCO     |     1.00D+18 | initial CO column density (cm-2)
ZETA     |    1.300D-17 | cosmic ray ionisation rate (s-1)
UVFAC    |    1.000D+00 | scale fac for UV radiation field (1=Draine field, i.e. standard)
---------+--------------+-----------------------------------------------------------------------------------------------
GRAIN PARAMETERS
---------+--------------+-----------------------------------------------------------------------------------------------
DTEMP    |    1.000D+01 | initial dust temp (K)
EBFAC    |    0.500D-00 | ratio Edif(I):Edes(I) (for H)
DTOGM    |    1.000D-02 | dust-to-gas ratio by mass
STICK    |    1.000D-00 | sticking coeff for neutral species
RHOD     |    3.000D+00 | mass density of grain material (g cm-3)
RD       |    1.000D-05 | grain radius (cm)
SNS      |    1.500D+15 | site density (cm-2)
TNS      |    1.000D+06 | sites/grain
---------+--------------+-----------------------------------------------------------------------------------------------
OUTPUT TIMES
---------+--------------+-----------------------------------------------------------------------------------------------
OTPD     |            8 | outputs per decade
TSTART   |    1.000D+00 | first output time, after zero (yr)
TFINAL   |    1.000D+07 | last o/p time (yr)
---------+--------------+-----------------------------------------------------------------------------------------------
INTEGRATOR PARAMETERS
---------+--------------+-----------------------------------------------------------------------------------------------
EPS      |    1.000D-04 | error per step
YMIN     |    1.000D-40 | smallest significant non-zero value
HMAX     |    1.000D+07 | max step size (yr)
NXSTEP   |    100000000 | max number of iterations per call
---------+--------------+-----------------------------------------------------------------------------------------------
INITIAL ABUNDANCES, ETC
---------+--------------+-----------------------------------------------------------------------------------------------
XNMIN    |    1.000D-80 | default minimum initial frac abun
NS0      |           14 | number of initial abundances given below
---------+--------------+-----------------------------------------------------------------------------------------------
H        | 2.000000D-03 | 
H2       | 0.499000D-00 | 
HD       | 2.000000D-05 | 
He       | 9.000000D-02 | 
N        | 7.500000D-05 | 
O        | 3.200000D-04 | 
C        | 1.400000D-04 | 
S+       | 8.000000D-08 | 
Si+      | 8.000000D-09 | 
Fe+      | 3.000000D-09 | 
Na+      | 2.000000D-08 | 
Mg+      | 7.000000D-09 | 
P+       | 3.000000D-09 | 
Cl+      | 4.000000D-09 | 
---------+--------------+-----------------------------------------------------------------------------------------------

