c ======================================================================
c tricks.f, vers 1: trx_header.f, (c) R T Garrod, 2021-
c ======================================================================
      PARAMETER (NKMAX=14688,NSMAX=878,NEMAX=13)
      PARAMETER (NSGAS=627,NSGRAIN=251)
      PARAMETER (NOPMAX=2000,NITYPE=100)
c ======================================================================

      PARAMETER (BOLTZ=1.38065D-16,GRAV=6.673D-8,PI=3.1415926535898D+0)
      PARAMETER (PLANCK=6.626068D-27,AMU=1.660538291D-24)
      PARAMETER (ECHARGE=1.60217646D-19,AVOGADRO=6.0221415D+23)
      PARAMETER (TYEAR=3.15576D+07)

      CHARACTER*8  RSPEC(8,NKMAX),SYM2(NKMAX),SPEC(NSMAX)
      CHARACTER*8  XS0(NSMAX),ELNAME(NEMAX)
      CHARACTER*72 RFNAME
      CHARACTER*20 VERS

      REAL*8 XNOP(NSMAX,NOPMAX)
      REAL*8 XN(NSMAX),XN0(NSMAX),AWT(NSMAX),CONDSP(NSMAX)
      REAL*8 CHF,EDES,EDIF,DESRAT,DIFRAT
      REAL*8 XK(NKMAX),A(NKMAX),B(NKMAX),C(NKMAX),R(NKMAX)
      REAL*8 ELEMS(NEMAX),ESUM(NEMAX),EMERR(NEMAX),TIMS(NOPMAX)
      REAL*8 DENS,TEMP,DTEMP,AV,ZETA,UVFAC,TSTART,TFINAL,TIME
      REAL*8 GD,DTOGM,RD,RHOD,STICK,XNMIN,SNS,TNS,EBFAC,YMIN,CDH2,CDCO

      INTEGER*1 RMUL(NKMAX,NSMAX)
      INTEGER*4 IRX(NKMAX,NSMAX),NRX(NSMAX)
      INTEGER*4 JS(8,NKMAX),ITYPE(NKMAX),INUM(NKMAX)
      INTEGER IRXSTA(0:NITYPE-1),IRXFIN(0:NITYPE-1)
      INTEGER IT,NT,OTPD,NS0,NSE,NSH2,NSCO,NSJH,NJAC,IDUST,ISELF,ITASK
      INTEGER IELM(NEMAX,NSMAX),ICG(NSMAX)
      INTEGER NERR,NJR,NCON,NSSH,NOUT,NCSV,NLOG,NORD,NRAT,NINF
      INTEGER IEQP(4),ISUMS,ISUMF,ISUMJ,NRH2,NRCO,NRJH2

      COMMON/CHAR1/RSPEC,SYM2,SPEC,XS0,ELNAME
      COMMON/CHAR2/RFNAME,VERS
      COMMON/RLNS1/XNOP
      COMMON/RLNS2/XN,XN0,AWT,CONDSP
      COMMON/SURF/CHF,EDES,EDIF,DESRAT,DIFRAT
      COMMON/RCOEFF/XK,A,B,C,R
      COMMON/RLNE/ELEMS,ESUM,EMERR
      COMMON/REAL1/TIMS,DENS,TEMP,DTEMP,AV,ZETA,UVFAC,TSTART,TFINAL,TIME
      COMMON/REAL2/GD,DTOGM,RD,RHOD,STICK,XNMIN,SNS,TNS,EBFAC,YMIN
      COMMON/SELF/CDH2,CDCO
      COMMON/RXCAL1/RMUL
      COMMON/RXCAL2/IRX,NRX
      COMMON/INT2A/JS,ITYPE,INUM,IRXSTA,IRXFIN
      COMMON/INT2B/IT,NT,OTPD,NS0,NJAC
      COMMON/SWIT1/IDUST,ISELF,ITASK
      COMMON/INT1/IELM,ICG
      COMMON/NFIL/NERR,NJR,NCON,NSSH,NOUT,NCSV,NLOG,NORD,NRAT,NINF
      COMMON/INT8/IEQP,ISUMS,ISUMF,ISUMJ
      COMMON/SPECS/NSE,NSH2,NSCO,NSJH,NRH2,NRCO,NRJH2

